Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 575492 (CVE-2016-2538) - <app-emulation/qemu-2.5.0-r2: usb: integer overflow in remote NDIS control message handling (CVE-2016-2538)
Summary: <app-emulation/qemu-2.5.0-r2: usb: integer overflow in remote NDIS control me...
Status: RESOLVED FIXED
Alias: CVE-2016-2538
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa cve]
Keywords:
Depends on: 578044
Blocks:
  Show dependency tree
 
Reported: 2016-02-23 17:05 UTC by Agostino Sarubbo
Modified: 2016-04-02 18:28 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2016-02-23 17:05:49 UTC
From ${URL} :

Qemu emulator built with the USB Net device emulation support is vulnerable to an integer overflow issue. It could occur while processing remote NDIS control message packets. As the incoming informationBufferOffset & Length combination could cross the integer 
range.

A privileged user inside guest could use this flaw to leak host memory bytes to guest or crash the Qemu process instance resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-02/msg03658.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/02/22/3


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 2 SpanKY gentoo-dev 2016-03-23 05:26:38 UTC
this is in qemu-2.5.0-r2 and is fine for stable
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-23 06:15:32 UTC
Added to existing GLSA.
Comment 4 Yury German Gentoo Infrastructure gentoo-dev Security 2016-04-02 17:43:49 UTC
Clean as part of bug #567420
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2016-04-02 18:28:24 UTC
This issue was resolved and addressed in
 GLSA 201604-01 at https://security.gentoo.org/glsa/201604-01
by GLSA coordinator Yury German (BlueKnight).